{
  "custom": {},
  "params": {
    "text": "default"
  },
  "propConfig": {
    "params.text": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 54,
      "width": 472
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "text"
        },
        "position": {
          "basis": "50px",
          "grow": 1
        },
        "propConfig": {
          "props.style.fontSize": {
            "binding": {
              "config": {
                "path": "page.props.dimensions.viewport.width"
              },
              "transforms": [
                {
                  "code": "\tif 1512 \u003c\u003d value:\n\t\treturn 15\n\telif (1305 \u003c\u003d value and value \u003c1512):\n\t\treturn 12\n\telif (870 \u003c\u003d value and value \u003c1305):\n\t\treturn 11\n\telse:\n\t\treturn 8",
                  "type": "script"
                }
              ],
              "type": "property"
            }
          },
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.text"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "textAlign": "left"
          }
        },
        "type": "ia.display.label"
      }
    ],
    "meta": {
      "name": "root"
    },
    "type": "ia.container.flex"
  }
}